org.richfaces.fragment.editor.toolbar

## Enum EditorMode

- java.lang.Object
- - java.lang.Enum<EditorMode>
  - - org.richfaces.fragment.editor.toolbar.EditorMode

- All Implemented Interfaces:
    Serializable, Comparable<EditorMode>, EditorButton

      public enum EditorMode
      extends Enum<EditorMode>
      implements EditorButton

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK_QUOTE`
    `BOLD`
    `BULLETED_LIST`
    `ITALIC`
    `MAXIMIZE`
    `NUMBERED_LIST`
    `SHOW_BLOCKS`
    `SOURCE`
    `SPELL_CHECK_AS_YOU_TYPE`
    `STRIKE_THROUGH`
    `SUBSCRIPT`
    `SUPERSCRIPT`
    `UNDERLINE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCSSClassName()`
    `String` | `toString()`
    `static EditorMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditorMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOURCE

          public static final EditorMode SOURCE

    - #### SPELL_CHECK_AS_YOU_TYPE

          public static final EditorMode SPELL_CHECK_AS_YOU_TYPE

    - #### BOLD

          public static final EditorMode BOLD

    - #### ITALIC

          public static final EditorMode ITALIC

    - #### UNDERLINE

          public static final EditorMode UNDERLINE

    - #### STRIKE_THROUGH

          public static final EditorMode STRIKE_THROUGH

    - #### SUBSCRIPT

          public static final EditorMode SUBSCRIPT

    - #### SUPERSCRIPT

          public static final EditorMode SUPERSCRIPT

    - #### NUMBERED_LIST

          public static final EditorMode NUMBERED_LIST

    - #### BULLETED_LIST

          public static final EditorMode BULLETED_LIST

    - #### BLOCK_QUOTE

          public static final EditorMode BLOCK_QUOTE

    - #### MAXIMIZE

          public static final EditorMode MAXIMIZE

    - #### SHOW_BLOCKS

          public static final EditorMode SHOW_BLOCKS

  - ### Method Detail

    - #### values

          public static EditorMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditorMode c : EditorMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditorMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EditorMode>`

    - #### getCSSClassName

          public String getCSSClassName()

      Specified by:
        `getCSSClassName` in interface `EditorButton`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.